### Method

# FwupdPlugin Backend lookup_by_id

since: 1.6.1

#### Declaration [src]

    FuDevice*
    fu_backend_lookup_by_id (
      FuBackend* self,
      const gchar* backend_id
    )

#### Description [src]

Gets a device previously added by the backend.

Available since: 1.6.1

#### Parameters

`backend_id`

  Type: `const gchar*`

  A device backend ID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuDevice`

Device, or `NULL` if not found.

The returned data is owned by the instance.